summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2014-04-21 11:19:29 -0300
committerSilvio Rhatto <rhatto@riseup.net>2014-04-21 11:19:29 -0300
commitb52e4bc420dcb23d26b06fd7e49dd969930569f3 (patch)
treec8c85ed29cb9fc699a18cd852dd99c681971d5ac
parent4b395912f9d5759ac7d0ae92d7096f92e35a37cf (diff)
downloadhydra-b52e4bc420dcb23d26b06fd7e49dd969930569f3.tar.gz
hydra-b52e4bc420dcb23d26b06fd7e49dd969930569f3.tar.bz2
Adding puppet-trigger hydra version
-rwxr-xr-xshare/hydra/puppet-trigger32
1 files changed, 32 insertions, 0 deletions
diff --git a/share/hydra/puppet-trigger b/share/hydra/puppet-trigger
new file mode 100755
index 0000000..eba1996
--- /dev/null
+++ b/share/hydra/puppet-trigger
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# Execute commands in a single remote node.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Parameters
+NODO="$1"
+
+# Connect
+if [ ! -z "$NODO" ]; then
+ $HYDRA_CONNECT $NODO sudo hydractl puppet-trigger
+else
+ echo "No node given."
+ exit 1
+fi